//==============================================================================
/*! \file     test_app.hpp
    \brief    A test application
    \ingroup  
    \author   Pierluigi Vicinanza
*/
//==============================================================================

#ifndef TEST_APP_HPP
#define TEST_APP_HPP

#include <Wt/WContainerWidget>
#include <Wt/WApplication>

//==============================================================================
/*!
\class  TestApplication
\brief  The entry point of web application
*/
//==============================================================================

class TestApplication : public Wt::WApplication
{
public:
            TestApplication(const Wt::WEnvironment& env) : Wt::WApplication(env) {}

    void    initialize(); // override
};

//------------------------------------------------------------------------------

#endif // ndef TEST_APP_HPP
